Package com.ocient.cli.extract

# Class ExtractSyntaxParser.ParseResult

java.lang.Object
com.ocient.cli.extract.ExtractSyntaxParser.ParseResult

Enclosing class:
  ExtractSyntaxParser

    public static class ExtractSyntaxParser.ParseResult
    extends Object

A class to wrap the result of an "EXTRACT TO" parse

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`Properties` | `getConfig()` | Gets the configuration assocated with the statement
`String` | `getQuery()` | Returns the query associated with the statement

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getQuery

public String getQuery()
Returns the query associated with the statement

Returns:
  the query string

### getConfig

public Properties getConfig()
Gets the configuration assocated with the statement

Returns:
  the configuration as a Properties object